
Foreman - Feature #25123

Seed only templates that match installed plugins

10/04/2018 01:02 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6104,

https://github.com/theforeman/communit

y-templates/pull/521

  

Description

The seed process shouldn't add report templates requiring plugins that aren't installed.

We can achieve that by adding a "require" section into template's metadata and check for presence of the plugins during seed.

Related issues:

Related to Foreman - Feature #10521: As a user i like to have an advanced rep... Closed

Associated revisions

Revision 9f9a9564 - 10/05/2018 10:57 AM - Tomas Strachota 

Refs #25123 - add missing os metadata to provisioning templates (#521)

Revision d689adb5 - 10/05/2018 02:51 PM - Tomáš Strachota

Fixes #25123 - template requirements and seeding with import

- Changes seeding mechanism for provisioning and report templates. It

uses template importing now.

- Template import allows checking for presence of templates in certain

versions. Metadata can contain section `require:` with list of

requirements.

For example:

  require:

    - plugin: katello  # checks whether Katello is installed in any version

    - plugin: katello

      version: 3.9.0   # checks whether Katello >- 3.9.0 is installed

Revision 75a1dcd8 - 10/05/2018 02:51 PM - Tomáš Strachota

Refs #25123 - sync from community templates

Revision 3eb9105e - 10/07/2018 06:34 PM - Michael Moll 

Refs #25123 - Fix Layout/EmptyLinesAroundBlockBody cop

History

#1 - 10/04/2018 01:03 PM - Tomáš Strachota

- Related to Feature #10521: As a user i like to have an advanced reporting system with fully customizable reports added

#2 - 10/04/2018 01:15 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6104 added

#3 - 10/04/2018 01:15 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
#4 - 10/05/2018 08:32 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/521 added

#5 - 10/05/2018 03:02 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

Applied in changeset d689adb5ebc2e93d1fa9944642d08a71a71f931b.

#6 - 10/08/2018 06:34 AM - Marek Hulán

- Fixed in Releases 1.20.0 added
